Bug 444356 - Review Request: bpython - Fancy Curses Interface To The Python Interactive Interpreter
Review Request: bpython - Fancy Curses Interface To The Python Interactive I...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans Ulrich Niedermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 14:03 EDT by Terje Røsten
Modified: 2014-07-14 08:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 12:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhbugs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-04-27 14:03:21 EDT
Spec URL: http://terjeros.fedorapeople.org/bpython/bpython.spec
SRPM URL: http://terjeros.fedorapeople.org/bpython/bpython-0.2.3-1.fc8.src.rpm
Description:
bpython is a fancy interface to the Python interpreter for Unix-like
operating systems. It has the following features:
 o in-line syntax highlighting
 o readline-like autocomplete with suggestions displayed as you type
 o expected parameter list for any Python function.
 o eewind function to pop the last line of code from memory and
   re-evaluate.
 o send the code you've entered off to a pastebin and display the
   pastebin URL for copying, etc.  
 o save the code you've entered to a file
Comment 1 Terje Røsten 2008-04-30 13:06:29 EDT
New release upstream, new package:

spec: http://terjeros.fedorapeople.org/bpython/bpython.spec
srpm: http://terjeros.fedorapeople.org/bpython/bpython-0.3.1-1.fc8.src.rpm
Comment 2 Hans Ulrich Niedermann 2008-05-03 07:35:22 EDT
Going to re-do the review later (first review eaten by crashing Firefox).
Comment 3 Hans Ulrich Niedermann 2008-05-04 01:41:12 EDT
Review Guidelines MUST items:
- [OK] rpmlint output: none
- [OK] package name
- [OK] %{name}.spec
- [OK] Packaging Guidelines
- [OK] Licensing Guidelines (MIT)
- [OK] License Field in spec
- [OK] License text in %doc
- [OK] Spec file in en_US
- [OK] legible spec file
- [OK] source matches upstream
- [OK] compiles successfully as noarch
- [OK] BuildRequires
- N/A  %find_lang
- N/A  shared libs
- N/A  not relocatable
- [OK] directory ownership
- [OK] no duplicate files in %files
- [OK] proper permissions on files, %defattr present
- [OK] %clean section cleans %{buildroot}
- [OK] consistently uses macros
- [OK] package contains code
- N/A  large docs
- [OK] %doc files do not affect runtime behaviour
- N/A  header files in -devel
- N/A  static libs in -static
- N/A  foo.pc files
- N/A  libfoo.so.1.1
- N/A  no devel package
- N/A  no .la archives
- N/A  not a GUI app
- [OK] Does not own files/dirs owned by other packages
- [OK] %install cleans out %{buildroot} first
- [OK] all filenames are valid ASCII and thus UTF-8

Review Guidelines SHOULD items:
- N/A  license text
- N/A  no translated descriptions available
- [OK] builds in mock: http://koji.fedoraproject.org/koji/taskinfo?taskID=594044
- N/A  noarch package
- [OK] appears to work
- N/A  no scriptlets
- N/A  no sub-packages
- N/A  no foo.pc
- N/A  no file dependencies

Remarks on Python Packaging Guidelines:
- [OK] good python_sitelib macro definition
- [OK] use %{python_sitelib}
- N/A  Not an egg, only builds .egg-info
- [OK] Includes all byte compiled files

Remarks on Packaging Guidelines:
- package uses second allowed choice for BuildRoot:
- CFLAGS="%{optflags}"... what for in a noarch package?
- desktop file:
  - as non-GUI app bpython does not need one
  - it is non-functional
  - ergo: why not leave it out?
  If you do decide to add a desktop file starting bpython in a terminal:
  Please use %{__install}'s -p parameter.
I'd change those three, but they are OK as-is.

ACCEPTED.
Comment 4 Terje Røsten 2008-05-04 06:31:58 EDT
> - package uses second allowed choice for BuildRoot:

Ok, will fix.

> - CFLAGS="%{optflags}"... what for in a noarch package?

Copy and paste error...

> - desktop file:
>   - as non-GUI app bpython does not need one
>   - it is non-functional
>   - ergo: why not leave it out?
>   If you do decide to add a desktop file starting bpython in a terminal:
>   Please use %{__install}'s -p parameter.
> I'd change those three, but they are OK as-is.

Leftover from initial package, will remove desktop file.

> I'd change those three, but they are OK as-is.
> ACCEPTED.


Thanks! Should you change Assigned To:?

New Package CVS Request
=======================
Package Name: bpython
Short Description: Fancy curses interface to the Python interactive interpreter
Owners: terjeros
Branches: F-7 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Hans Ulrich Niedermann 2008-05-04 08:11:32 EDT
Common practise appears to leave the bug assigned to the reviewer.
Comment 6 Kevin Fenzi 2008-05-04 13:24:40 EDT
cvs done.
Comment 7 Terje Røsten 2008-05-07 12:45:28 EDT
> Common practise appears to leave the bug assigned to the reviewer.

I had stale browser cache or something, bug was assigned to Nobody.

Anyway, package pending for testing in F-7, F-8 and F-9 now.


Thanks for help, Hans and Kevin!


Comment 8 Matt Domsch 2011-08-30 10:55:52 EDT
terjeros, would you please branch and build bpython for el6?  openstack-nova needs it.
Comment 9 Matt Domsch 2011-09-01 14:08:11 EDT
Package Change Request
======================
Package Name: bpython
New Branches: el6
Owners: mdomsch markmc

terjeros has declined to participate in EPEL, but is happy for someone else to maintain it there.
Comment 10 Jon Ciesla 2011-09-01 14:39:55 EDT
Git done (by process-git-requests).
Comment 11 Adam Miller 2014-07-11 20:02:56 EDT
Package Change Request
======================
Package Name: bpython
New Branches: epel7
Owners: maxamillion
Comment 12 Jon Ciesla 2014-07-14 08:13:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.